json
{
"MessageId": "TMID-00348008102307aK01"
}curl -X POST https://api.telegent.com/v1.0/message/device-delivery \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"MessageId": "TMID-00348008102307aK01"
}'import requests
url = "https://api.telegent.com/v1.0/message/device-delivery"
payload = { "MessageId": "TMID-00348008102307aK01" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({MessageId: 'TMID-00348008102307aK01'})
};
fetch('https://api.telegent.com/v1.0/message/device-delivery', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"MessageId": "TMID-00348008102307aK01",
"DeviceDeliveryStatus": "Delivered",
"DeliveredOn": "2025-05-14T22:21:08.2813656+00:00",
"DeviceType": "mobile"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Message
Report Device Delivery
Submit a device-level delivery confirmation for an outbound message. This endpoint is used to record whether a specific message was successfully delivered to the recipient’s handset, beyond carrier-level delivery receipts. Provide the MessageId returned from the Send Outbound Message endpoint.
What this does: Records a device-level delivery receipt against an existing message. Use this when your application receives an on-device delivery confirmation and wants to update the platform’s delivery status record for a message.
Next steps:
- View the updated message status —
GET /v1.0/message/details
POST
/
v1.0
/
message
/
device-delivery
json
{
"MessageId": "TMID-00348008102307aK01"
}curl -X POST https://api.telegent.com/v1.0/message/device-delivery \
-H 'Authorization: Bearer YOUR_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"MessageId": "TMID-00348008102307aK01"
}'import requests
url = "https://api.telegent.com/v1.0/message/device-delivery"
payload = { "MessageId": "TMID-00348008102307aK01" }
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({MessageId: 'TMID-00348008102307aK01'})
};
fetch('https://api.telegent.com/v1.0/message/device-delivery', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"MessageId": "TMID-00348008102307aK01",
"DeviceDeliveryStatus": "Delivered",
"DeliveredOn": "2025-05-14T22:21:08.2813656+00:00",
"DeviceType": "mobile"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}{
"StatusCode": 123,
"Message": "<string>"
}Body
application/json
The message ID to check device delivery status for
Example:
"TMID-00348008102307aK01"
Response
Device Delivery
The response is of type object.
⌘I